<?php
define('EmpireCMSAdmin','1');
require("../../class/connect.php");
require("../../class/db_sql.php");
require("../../class/functions.php");
require("../../class/dpfun.php");
$link=db_connect();
$empire=new mysqlquery();
$editor=1;
//验证用户
$lur=is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=$lur['groupid'];
$loginadminstyleid=$lur['adminstyleid'];
//验证权限
CheckLevel($logininid,$loginin,$classid,"changedata");


//批量更新书籍章节数 4.1
function PiBdNum($start,$classid,$startid,$endid,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	$start=(int)$start;
	$add1='';
	//按栏目刷新
	$classid=(int)$classid;
	if($classid)
	{
		$add1=" and classid=".$classid;
    }
	//按ID刷新
	$startid=(int)$startid;
	$endid=(int)$endid;
	if($endid)
	{
		$add1.=" and id>=$startid and id<=$endid";
   }
	$b=0;
	$sql=$empire->query("select id,classid,checked from {$dbtbpre}ecms_bookname_index where id>$start".$add1." order by id limit ".$public_r[readjsnum]);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		if($r[checked]){
			ReBDNum($r[id]);
		}
	}
	if(empty($b))
	{
		printerror("ReBDNumSuccess","ReInfoUrl.php");
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=PiBdNum&classid=$classid&start=$new_start&startid=$startid&endid=$endid';</script>";
	exit();
}


//批量更新信息页地址 4.2
function ReBookUrl($start,$classid,$startid,$endid,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	//验证权限
	//CheckLevel($userid,$username,$classid,"changedata");
	$start=(int)$start;
	$tbname='bookname';
	$add1='';
	//按栏目刷新
	$classid=(int)$classid;
	if($classid)
	{
		$add1=" and classid=".$classid;
    }
	//按ID刷新
	$startid=(int)$startid;
	$endid=(int)$endid;
	if($startid)
	{
		$add1.=" and id>=$startid ";
    }
	if($endid)
	{
		$add1.=" and id<=$endid";
    }

	$b=0;
	$sql=$empire->query("select id,classid,checked from {$dbtbpre}ecms_".$tbname."_index where id>$start".$add1." order by id limit ".$public_r[revotejsnum]);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		//返回表
		$infotb=ReturnTbname($tbname,$r['checked']);
		$infor=$empire->fetch1("select classid from ".$infotb." where id='$r[id]' limit 1");
		$infourl=GotoGetBookUrl($infor[classid],$r[id]);
		$empire->query("update ".$infotb." set titleurl='$infourl' where id='$r[id]' limit 1");
	}
	if(empty($b))
	{
		printerror("ReBookUrlSuccess","ReInfoUrl.php");
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=ReBookUrl&classid=$classid&start=$new_start&startid=$startid&endid=$endid';</script>";
	exit();
}


//批量更新章节地址 4.3
function ReBdUrl($start,$startid,$endid,$tbname,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	$start=(int)$start;
	$add1='';
	$tbname=RepPostVar($tbname);
	//按ID刷新
	$startid=(int)$startid;
	$endid=(int)$endid;
	if($endid)
	{
		$add1.=" and id>=$startid and id<=$endid";
    }
	$b=0;
	$sql=$empire->query("select id,bookid,checked from {$dbtbpre}ecms_".$tbname."_index where id>$start".$add1." order by id limit ".$public_r[readjsnum]);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		$bdtbname=ReturnTbname($tbname,$r[checked]);
		ReBdUrlOne($r[id],$bdtbname);
	}
	if(empty($b))
	{
		printerror("ReBDUrlSuccess","ReInfoUrl.php");
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=ReBdUrl&tbname=$tbname&start=$new_start&startid=$startid&endid=$endid';</script>";
	exit();
}

//批量更新书籍章节数 4.4
function AllReZishu($start,$startid,$endid,$tbname,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	$start=(int)$start;
	$add1='';
	$tbname=RepPostVar($tbname);
	//按ID刷新
	$startid=(int)$startid;
	$endid=(int)$endid;
	if($endid)
	{
		$add1.=" and id>=$startid and id<=$endid";
    }
	$b=0;
	$sql=$empire->query("select id,bookid,checked from {$dbtbpre}ecms_".$tbname."_index where id>$start".$add1." order by id limit ".$public_r[readjsnum]);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		$len=BdZishu($r[id],$r[bookid]);
		$empire->query("update {$dbtbpre}ecms_".$tbname."_index set len=$len where id=$r[id] limit 1");
	}
	if(empty($b))
	{
		printerror("ReBDUrlSuccess","ReInfoUrl.php");
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=ReBookZiShu&tbname=$tbname&start=$new_start&startid=$startid&endid=$endid';</script>";
	exit();
}


//批量更新章节地址 4.6
function QingLi($start,$mz,$tbname,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	$start=(int)$start;
	$tbname=RepPostVar($tbname);
	$b=0;
	$sql=$empire->query("select id from {$dbtbpre}ecms_".$tbname."_index where id>$start order by id limit ".$mz);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		$bdtbname=ReturnTbname($tbname,$r[checked]);
		$dk=$empire->fetch1("select id from ".$bdtbname." where id=$r[id] limit 1");
		if(!$dk[id] || $dk[id]!=$r[id]){
			$empire->query("delete from {$dbtbpre}ecms_".$tbname."_index where id=$r[id] limit 1");
		}
	}
	if(empty($b))
	{
		printerror("QingLiS1","ReInfoUrl.php?enews=QingLi2&tbname=$tbname&start=0&mz=$mz");
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=QingLi&tbname=$tbname&start=$new_start&mz=$mz';</script>";
	exit();
}

function QingLi2($start,$mz,$tbname,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	$start=(int)$start;
	$tbname=RepPostVar($tbname);
	$b=0;
	$sql=$empire->query("select id from {$dbtbpre}ecms_".$tbname." where id>$start order by id limit ".$mz);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		$dk=$empire->fetch1("select * from {$dbtbpre}ecms_".$tbname."_index where id=$r[id] limit 1");
		if(!$dk[id] || !$dk[checked]){
			$empire->query("delete from {$dbtbpre}ecms_".$tbname." where id=$r[id] limit 1");
		}
	}
	if(empty($b))
	{
		printerror("QingLiS2","ReInfoUrl.php?enews=QingLi3&tbname=$tbname&start=0&mz=$mz");
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=QingLi2&tbname=$tbname&start=$new_start&mz=$mz';</script>";
	exit();
}

function QingLi3($start,$mz,$tbname,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	$start=(int)$start;
	$tbname=RepPostVar($tbname);
	$b=0;
	$sql=$empire->query("select id from {$dbtbpre}ecms_".$tbname."_check where id>$start order by id limit ".$mz);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		$dk=$empire->fetch1("select * from {$dbtbpre}ecms_".$tbname."_index where id=$r[id] limit 1");
		if(!$dk[id] || $dk[checked]){
			$empire->query("delete from {$dbtbpre}ecms_".$tbname."_check where id=$r[id] limit 1");
		}
	}
	if(empty($b))
	{
		printerror("QingLiS3","ReInfoUrl.php");
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=QingLi3&tbname=$tbname&start=$new_start&mz=$mz';</script>";
	exit();
}


//批量更新信息页地址 4.7
function ReInfoUrl($start,$classid,$startid,$endid,$userid,$username){
	global $empire,$public_r,$class_r,$fun_r,$dbtbpre;
	//验证权限
	//CheckLevel($userid,$username,$classid,"changedata");
	$start=(int)$start;
	$tbname='news';
	$add1='';
	//按栏目刷新
	$classid=(int)$classid;
	if($classid)
	{
		$add1=" and classid=".$classid;
    }
	//按ID刷新
	$startid=(int)$startid;
	$endid=(int)$endid;
	if($endid)
	{
		$add1.=" and id>=$startid and id<=$endid";
    }

	$b=0;
	$sql=$empire->query("select id,classid,checked from {$dbtbpre}ecms_".$tbname."_index where id>$start".$add1." order by id limit ".$public_r[dorepdlevelnum]);
	while($r=$empire->fetch($sql))
	{
		$b=1;
		$new_start=$r[id];
		//返回表
		$infotb=ReturnInfoMainTbname($tbname,$r['checked']);
		$infor=$empire->fetch1("select newspath,filename,groupid,isurl,titleurl from ".$infotb." where id='$r[id]' limit 1");
		$infourl=GotoGetTitleUrl($r['classid'],$r['id'],$infor['newspath'],$infor['filename'],$infor['groupid'],$infor['isurl'],$infor['titleurl']);
		$empire->query("update ".$infotb." set titleurl='$infourl' where id='$r[id]' limit 1");
	}
	if(empty($b))
	{
		printerror("ReInfoUrlSuccess",$from);
	}
	echo $fun_r[OneReInfoUrlSuccess]."(ID:<font color=red><b>".$new_start."</b></font>)<script>self.location.href='ReInfoUrl.php?enews=ReInfoUrl&tbname=$tbname&classid=$classid&start=$new_start&from=$from&retype=$retype&startday=$startday&endday=$endday&startid=$startid&endid=$endid';</script>";
	exit();
}

$enews=$_POST['enews'];
if(empty($enews))
{$enews=$_GET['enews'];}
if($enews)
{
	include('../../data/dbcache/class.php');
}

if($enews=="PiBdNum")//4.1 批量更新书籍章节数
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	PiBdNum($start,$classid,$startid,$endid,$logininid,$loginin);
}

if($enews=="ReBookUrl")//4.2 批量更新信息页地址
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	ReBookUrl($start,$classid,$startid,$endid,$logininid,$loginin);
}


if($enews=="ReBdUrl")//4.3 批量更新章节地址
{
	$start=$_GET['start'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	$tbname=$_GET['tbname'];
	ReBdUrl($start,$startid,$endid,$tbname,$logininid,$loginin);
}

if($enews=="ReBookZiShu")//4.4 批量更新书籍字数
{
	$start=$_GET['start'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	$tbname=$_GET['tbname'];
	AllReZishu($start,$startid,$endid,$tbname,$logininid,$loginin);
}


if($enews=="QingLi")//4.6 批量更新章节地址
{
	$tbname=$_GET['tbname'];
	$start=$_GET['start'];
	$mz=$_GET['mz'];
	QingLi($start,$mz,$tbname,$logininid,$loginin);
}

if($enews=="QingLi2")//4.6 批量更新章节地址第二步
{
	$tbname=$_GET['tbname'];
	$start=$_GET['start'];
	$mz=$_GET['mz'];
	QingLi2($start,$mz,$tbname,$logininid,$loginin);
}

if($enews=="QingLi3")//4.6 批量更新章节地址第三步
{
	$tbname=$_GET['tbname'];
	$start=$_GET['start'];
	$mz=$_GET['mz'];
	QingLi3($start,$mz,$tbname,$logininid,$loginin);
}

if($enews=="ReInfoUrl")//4.7 批量更新信息页地址
{
	$start=$_GET['start'];
	$classid=$_GET['classid'];
	$from=$_GET['from'];
	$retype=$_GET['retype'];
	$startday=$_GET['startday'];
	$endday=$_GET['endday'];
	$startid=$_GET['startid'];
	$endid=$_GET['endid'];
	$tbname=$_GET['tbname'];
	ReInfoUrl($start,$classid,$from,$retype,$startday,$endday,$startid,$endid,$tbname,$logininid,$loginin);
}

$navclass0='';
$ccsql=$empire->query("select classname,classid from {$dbtbpre}enewsclass where is_zt=0 order by myorder,classid");
while($ccr=$empire->fetch($ccsql)){
	$navclass0.='<option value="'.$ccr[classid].'">'.$ccr[classname].'</option>';
}

$navclass1='';
$ccsql=$empire->query("select classname,classid from {$dbtbpre}enewsclass where is_zt=1 order by myorder,classid");
while($ccr=$empire->fetch($ccsql)){
	$navclass1.='<option value="'.$ccr[classid].'">'.$ccr[classname].'</option>';
}

$selecttable='';
$tsql=$empire->query("select tid,tbname,tname from {$dbtbpre}enewstable where type=1 order by tid");
while($tr=$empire->fetch($tsql))
{
	$selecttable.="<option value='".$tr[tbname]."'>".$tr[tname]."(".$tr[tbname].")</option>";
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>批量更新信息页地址</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
<script src="../ecmseditor/fieldfile/setday.js"></script>
<script>
function CheckAll(form)
  {
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.name != 'chkall')
       e.checked = form.chkall.checked;
    }
  }
</script>
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr> 
    <td height="25">位置：<a href="ChangeData.php">数据更新</a>&nbsp;>&nbsp;<a href="ReInfoUrl.php">其它数据更新</a></td>
  </tr>
</table>

<form action="ReInfoUrl.php" method="get" name="form1"  onsubmit="return confirm('确认要更新?');">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder" id="41">
    <input name="from" type="hidden" id="from" value="ReInfoUrl.php">
    <tr class="header"> 
      <td height="25"> <div align="center">4.1 更新书籍章节数</div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> <div align="center"> 
          <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
            <tr> 
              <td height="25">栏目</td>
              <td height="25"><select name="classid">
                  <option value="0">所有栏目</option>
                  <?=$navclass0?>
                </select>
                </td>
            </tr>
            <tr> 
              <td height="25"> 按ID更新：</td>
              <td height="25">从 
                <input name="startid" type="text" value="0" size="6">
                到 
                <input name="endid" type="text" value="0" size="6">
                之间的信息 <font color="#666666">(两个值为0将更新所有信息)</font></td>
            </tr>
            <tr> 
              <td height="25">&nbsp;</td>
              <td height="25"><input type="submit" name="Submit62" value="开始更新"> 
                <input type="reset" name="Submit72" value="重置"> 
                <input name="enews" type="hidden" value="PiBdNum"> 
              </td>
            </tr>
            <tr> 
              <td height="25" colspan="2"><font color="#666666">说明：书籍更换栏目，或其它异常情况时，请用此功能来批量更新每本书章节数量。</font></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
</form>


<form action="ReInfoUrl.php" method="get" name="form1" target="_blank" onsubmit="return confirm('确认要更新?');">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder" id="42">
    <input name="from" type="hidden" id="from" value="ReInfoUrl.php">
    <tr class="header"> 
      <td height="25"> <div align="center">4.2 批量更新书籍地址</div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> <div align="center"> 
          <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
            <tr> 
              <td height="25">栏目</td>
              <td height="25"><select name="classid">
                  <option value="0">所有栏目</option>
                  <?=$navclass0?>
                </select>
                </td>
            </tr>
            <tr> 
              <td height="25"> 
                按ID更新：</td>
              <td height="25">从 
                <input name="startid" type="text" value="0" size="6">
                到 
                <input name="endid" type="text" value="0" size="6">
                之间的信息 <font color="#666666">(两个值为0将更新所有信息)</font></td>
            </tr>
            <tr> 
              <td height="25">&nbsp;</td>
              <td height="25"><input type="submit" name="Submit62" value="开始更新"> 
                <input type="reset" name="Submit72" value="重置"> 
                <input name="enews" type="hidden" value="ReBookUrl"> 
              </td>
            </tr>
            <tr> 
              <td height="25" colspan="2"><font color="#666666">说明：切换静态和动态、书籍更换栏目，或其它异常情况时，请用此功能来批量更新书籍页地址。</font></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
</form>


<form action="ReInfoUrl.php" method="get" name="form1" onsubmit="return confirm('确认要更新?');">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder" id="43">
    <input name="from" type="hidden" id="from" value="ReInfoUrl.php">
    <tr class="header"> 
      <td height="25"> <div align="center">4.3 批量更新章节地址</div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> <div align="center"> 
          <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
            <tr> 
              <td height="25">数据表：</td>
              <td height="25"> <select name="tbname" id="tbname">
                  <option value=''>------ 选择数据表 ------</option>
                  <?=$selecttable?>
                </select>
                (*) </td>
            </tr>
            <tr> 
              <td height="25"> 
                按ID更新：</td>
              <td height="25">从 
                <input name="startid" type="text" value="0" size="6">
                到 
                <input name="endid" type="text" value="0" size="6">
                之间的信息 <font color="#666666">(两个值为0将更新所有信息)</font></td>
            </tr>
            <tr> 
              <td height="25">&nbsp;</td>
              <td height="25"><input type="submit" name="Submit62" value="开始更新"> 
                <input type="reset" name="Submit72" value="重置"> 
                <input name="enews" type="hidden" value="ReBdUrl"> 
              </td>
            </tr>
            <tr> 
              <td height="25" colspan="2"><font color="#666666">说明：切换静态和动态、或其它异常情况时，请用此功能来批量更新章节页地址。</font></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
</form>

<form action="ReInfoUrl.php" method="get" name="form1" target="_blank" onsubmit="return confirm('确认要更新?');">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder" id="44">
    <input name="from" type="hidden" id="from" value="ReInfoUrl.php">
    <tr class="header"> 
      <td height="25"> <div align="center">4.4 批量更新章节字数</div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> <div align="center"> 
          <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
            <tr> 
              <td height="25">数据表：</td>
              <td height="25"> <select name="tbname" id="tbname">
                  <option value=''>------ 选择数据表 ------</option>
                  <?=$selecttable?>
                </select>
                (*) </td>
            </tr>
            <tr> 
              <td height="25"> 
                按ID更新：</td>
              <td height="25">从 
                <input name="startid" type="text" value="0" size="6">
                到 
                <input name="endid" type="text" value="0" size="6">
                之间的信息 <font color="#666666">(两个值为0将更新所有信息)</font></td>
            </tr>
            <tr> 
              <td height="25">&nbsp;</td>
              <td height="25"><input type="submit" name="Submit62" value="开始更新"> 
                <input type="reset" name="Submit72" value="重置"> 
                <input name="enews" type="hidden" value="ReBookZiShu"> 
              </td>
            </tr>
            <tr> 
              <td height="25" colspan="2"><font color="#666666">说明：当改变信息目录形式时，请用此功能来批量更新内容页地址。</font></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
</form>


<form action="ReInfoUrl.php" method="get" name="form1999" onsubmit="return confirm('确认要清理多余数据?');">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder" id="46">
    <tr class="header"> 
      <td height="25"> <div align="center">4.6 清理多余数据</div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> <div align="center"> 
          <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
            <tr> 
              <td height="25">数据表：</td>
              <td height="25"> <select name="tbname" id="tbname">
                  <option value=''>------ 选择数据表 ------</option>
                  <?=$selecttable?>
                </select>
                (*) </td>
            </tr>			
			<tr> 
              <td height="25">每组数据：</td>
              <td height="25"> <input name="mz" type="text" value="1000" size="6"></td>
            </tr>
            <tr> 
              <td height="25">&nbsp;</td>
              <td height="25"><input type="submit" name="Submit6982" value="开始清理"> 
                <input type="reset" name="Submit72" value="重置"> 
                <input name="enews" type="hidden" value="QingLi"> 
				<input name="start" type="hidden" value="0"> 
              </td>
            </tr>
            <tr> 
              <td height="25" colspan="2"><font color="#666666">说明：当采集错误，出现bookid错误提示时，执行此操作。</font></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
</form>


<form action="ReInfoUrl.php" method="get" name="form1" target="_blank" onsubmit="return confirm('确认要更新?');">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder" id="44">
    <input name="from" type="hidden" id="from" value="ReInfoUrl.php">
    <tr class="header"> 
      <td height="25"> <div align="center">4.7 批量更新文章地址</div></td>
    </tr>
    <tr> 
      <td height="25" bgcolor="#FFFFFF"> <div align="center"> 
          <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
            <tr> 
              <td height="25">栏目</td>
              <td height="25"><select name="classid">
                  <option value="0">所有栏目</option>
                  <?=$navclass1?>
                </select>
                </td>
            </tr>
            <tr> 
              <td height="25">&nbsp;</td>
              <td height="25"><input type="submit" name="Submit62" value="开始更新"> 
                <input type="reset" name="Submit72" value="重置"> 
                <input name="enews" type="hidden" value="ReInfoUrl"> 
              </td>
            </tr>
            <tr> 
              <td height="25" colspan="2"><font color="#666666">说明：当改变信息目录形式时，请用此功能来批量更新内容页地址。</font></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
</form>
</body>
</html>
<?
db_close();
$empire=null;
?>
